## CRM (Customer Relationship Manager)

###  - Create a login page by Account No :

POST api/auth/login/account_no

Input :
```
{"AccNo" : "XXXXXXXXXXXXX"}
```
Output :
```
{
    "ok": true
}
```
### - Fetch the mobile no by Account No :

GET api/mobile_no/by/[Account Number]

Output:
```
"mobile_number": "XXXXXXXXXX"
```
### - Generate OTP and sended to the mobile no:

GET api/otp

Output:
```
<!-- {"message":"New OTP has been sent to your register mobile number xxxxxxx527"} -->
{
    "message": "46687"
}
```

### - Validate the OTP :

POST api/otp

Body
```
{"OTP" : XXXXX}
```
Output

```
{"ok":true}
```

### - Post the complaint request

POST http://localhost:3000/api/ticket

Input :
```
{
  "summary": "UPI Fault",
  "description": "UPI Fault",
   "steps_to_reproduce" :"Money got debited from account"
}
```

Output :
```
"message": "Ticket No:2 created successfully"
```

### - Get the request By the user

GET http://localhost:3000/api/ticket

Output :

```
[
    {
        "id": 1,
        "category_of_request": "Fund Transfer failure",
        "nature_of_request": "Fund Transfer failure",
        "created_date": "Mon Jan 13 2025 16:32:30 GMT+0530 (India Standard Time)",
        "Status": "Reopen",
        "Message": [
            {
                "note": "solve"
            },
            {
                "note": "check once"
            },
            {
                "note": "in progress"
            }
        ]
    },
    {
        "id": 2,
        "category_of_request": "UPI Fault",
        "nature_of_request": "UPI Fault",
        "created_date": "Tue Jan 14 2025 11:11:03 GMT+0530 (India Standard Time)",
        "Status": "Open",
        "Message": [
            {
                "note": "note1"
            }
        ]
    }
]
```


