import { Title, Text, Button, Container, Group } from '@mantine/core';
import classes from './http-error.module.css';

export function HttpError(props: { status: number, code: string, message: string }) {
  return (
    <Container>
      <div className={classes.label}>{props.status}</div>
      <Title className={classes.title}>{props.code}</Title>
      <Text size="lg" ta="center" className={classes.description}>
        {props.message}
      </Text>
    </Container>
  );
}