import { DataSource } from "typeorm"
import { User } from "../entities/User"
import { Ticket } from "../entities/Ticket";

class AppDataSource {

    private static dataSource = new DataSource({
        type: 'postgres',
        host: process.env.DB_HOST,
        port: parseInt(process.env.DB_PORT ?? '1521'),
        username: process.env.DB_USER_NAME,
        password: process.env.DB_USER_PASS,
        database: process.env.DB_NAME,
        //dropSchema: process.env.NODE_ENV === 'development',
        synchronize: process.env.NODE_ENV === 'development',
        logging: false,
        entities: [User,Ticket],
        subscribers: [],
        migrations: []
    })
    private static dataSource_MantisBT = new DataSource({
        type: 'postgres',
        host: process.env.DB_HOST,
        port: parseInt(process.env.DB_PORT ?? '1521'),
        username: process.env.DB_USER_NAME,
        password: process.env.DB_USER_PASS,
        database: "kccb_ticket_tracker",
        synchronize: process.env.NODE_ENV === 'development',
        logging: false,
        //entities: [User,Ticket],
        subscribers: [],
        migrations: []
    })
    static async getConnection(): Promise<DataSource> {
        if (!this.dataSource.isInitialized)
            await this.dataSource.initialize()
        return this.dataSource;
    }
    static async getMantisConnection(): Promise<DataSource> {
        if (!this.dataSource_MantisBT.isInitialized)
            await this.dataSource_MantisBT.initialize()
        return this.dataSource_MantisBT;
    }
}
export default AppDataSource;