import AppDataSource from '@/app/_data/source/app-data-source'
import { getIronSession } from 'iron-session';
import { cookies } from 'next/headers';
import SessionPayload from '../../session/payload';
import { User } from '@/app/_data/entities/User';
import getSessionOptions from '../../session/options';

export async function POST(req: Request) {

    try {

        const session = await getIronSession<SessionPayload>(cookies(), getSessionOptions())
        const body = await req.json();
        const { AccNo } = body;
        console.log(AccNo)
        if (!AccNo || AccNo === '') {
            return Response.json({ message: "Account No can't be empty" })
        }
        const connection = await AppDataSource.getConnection();
        const userRepo = connection.getRepository(User);

        const user = await userRepo.createQueryBuilder('user')
            .select(['id', 'bank_account_no'])
            .where("user.bank_account_no = :AccountNo", { AccountNo: AccNo })
            .getRawOne();

        if (!user)
            return Response.json({ message: 'Please Enter Valid Account No Or contact to administrator.' })

        session.accountNo = user.bank_account_no;
        session.TwoStepAuthentication = false;
        session.otp = NaN;
        session.expiryTime = NaN;
        await session.save();
        //console.log(session);
        return Response.json({ ok: true })

    } catch (error) {
        console.error(error);
        return Response.json(null, { status: 500 })
    }
}