import { getIronSession } from "iron-session";
import { cookies } from "next/headers";
import getSessionOptions from "../session/options";
import SessionPayload from "../session/payload";

export async function POST(request: Request) {

    try {
        
        const session = await getIronSession<SessionPayload>(cookies(), getSessionOptions());
        
        if (!session) return Response.json(null, { status: 404 });
        session.destroy();

        return Response.json({message: 'logout successfully'});

    } catch (error) {
        console.error(error);
        return Response.json(null, { status: 500 })
    }
}