import { User } from "@/app/_data/entities/User";
import { parse } from "csv-parse";
import { createReadStream } from "fs";
import AppDataSource from "@/app/_data/source/app-data-source";


export async function GET(request: Request) {

    if (!['development', 'test'].includes(process.env.NODE_ENV))
        return Response.json(null, { status: 404 });

    try {
        // Create User
        const connection = await AppDataSource.getConnection();
        const userRepo = connection.getRepository(User);
        const csvReadStream = createReadStream("src/app/_data/samples/users.csv");
        let parser = parse({ columns: true });
        csvReadStream.pipe(parser);
        userRepo.delete({})
        for await (const user of parser) {
            const newUser = new User();
            newUser.id = user.id
            newUser.bank_account_no=user.bank_account_no
            newUser.title=user.title
            newUser.first_name=user.first_name
            newUser.middle_name=user.middle_name
            newUser.last_name=user.last_name
            newUser.mobile_number=user.mobile_number
            await userRepo.save(newUser);
        }
        return Response.json({ done: true });

    } catch (error) {
        console.error(error);
        return Response.json("Failed", { status: 500 });

    }
}
