import AppDataSource from '@/app/_data/source/app-data-source'
import { getIronSession } from 'iron-session';
import { cookies } from 'next/headers';
import SessionPayload from '@/app/api/auth/session/payload';
import { User } from '@/app/_data/entities/User';
import getSessionOptions from '@/app/api/auth/session/options';

export async function GET(request: Request , { params }: { params: { account_no: number}}) {

    try {
        const { account_no } = params;
        const session = await getIronSession<SessionPayload>(cookies(), getSessionOptions())
        const connection = await AppDataSource.getConnection();
        const userRepo = connection.getRepository(User);

        const user_mob_no = await userRepo.createQueryBuilder('user')
            .select(['mobile_number'])
            .where("user.bank_account_no = :AccountNo", { AccountNo: account_no })
            .getRawOne();
    
        if (user_mob_no.mobile_number == null)
            return Response.json({ message: "Mobile number is not updated.Please contact with administrator" })

        console.log(user_mob_no.mobile_number)
        //session.otp = NaN;
        //session.mobileNo = user_mob_no.mobile_number;
        await session.save();
        console.log(session);
        return Response.json(user_mob_no)

    } 
    catch (error) {
        console.error(error);
        return Response.json(null, { status: 500 })
    }
}
