import "@/app/global.css";
import '@mantine/core/styles.css';
import '@mantine/dates/styles.css';
import '@mantine/notifications/styles.css';
import '@mantine/charts/styles.css';
import "reflect-metadata";
import type { Metadata } from "next";
import { Providers } from "./providers";
import { ColorSchemeScript, Container } from "@mantine/core";

export const metadata: Metadata = {
  title: "CRM (KCCB Helpdesk)",
  description: "KCCB HelpDesk",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <head>
        <ColorSchemeScript />
        {/* <link rel="shortcut icon" href="/favicon.svg" /> */}
        <meta
          name="viewport"
          content="minimum-scale=1, initial-scale=1, width=device-width, user-scalable=no"
        />
      </head>
      <body>
        <Providers>{children}</Providers>
      </body>
    </html>
  );
}
