'use client'

import { QueryClient, QueryClientProvider } from '@tanstack/react-query';
import { UserContextProvider } from './_components/user-context';
import { MantineProvider } from '@mantine/core';
import { KccbTheme } from './_themes/KccbTheme';
import { Notifications } from '@mantine/notifications';

const queryClient = new QueryClient();

export function Providers({ children }: { children: React.ReactNode }) {
    return (
        <MantineProvider theme={KccbTheme} defaultColorScheme='light'>
            <Notifications position='bottom-left' />
            <QueryClientProvider client={queryClient}>
                <UserContextProvider>
                {children}   
                </UserContextProvider>
            </QueryClientProvider>
        </MantineProvider>
    )
}